#ifndef _USB_STRINGS_H
#define _USB_STRINGS_H

/* THIS FILE IS AUTOGENERATED, DO NOT MODIFY MANUALLY */

#include <usb_ch9.h>
#define ARRAY_SIZE(x) (sizeof(x) / sizeof((x)[0]))

static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string0 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 1 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {0x0409 /* English */ },
};

/* String 1 "OpenPCD DFU Interface - Application Partition" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string1 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 45 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x004f, 0x0070, 0x0065, 0x006e, 0x0050, 0x0043,
			0x0044, 0x0020, 0x0044, 0x0046, 0x0055, 0x0020,
			0x0049, 0x006e, 0x0074, 0x0065, 0x0072, 0x0066,
			0x0061, 0x0063, 0x0065, 0x0020, 0x002d, 0x0020,
			0x0041, 0x0070, 0x0070, 0x006c, 0x0069, 0x0063,
			0x0061, 0x0074, 0x0069, 0x006f, 0x006e, 0x0020,
			0x0050, 0x0061, 0x0072, 0x0074, 0x0069, 0x0074,
			0x0069, 0x006f, 0x006e, },
};

/* String 2 "OpenPCD DFU Interface - Bootloader Partition" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string2 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 44 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x004f, 0x0070, 0x0065, 0x006e, 0x0050, 0x0043,
			0x0044, 0x0020, 0x0044, 0x0046, 0x0055, 0x0020,
			0x0049, 0x006e, 0x0074, 0x0065, 0x0072, 0x0066,
			0x0061, 0x0063, 0x0065, 0x0020, 0x002d, 0x0020,
			0x0042, 0x006f, 0x006f, 0x0074, 0x006c, 0x006f,
			0x0061, 0x0064, 0x0065, 0x0072, 0x0020, 0x0050,
			0x0061, 0x0072, 0x0074, 0x0069, 0x0074, 0x0069,
			0x006f, 0x006e, },
};

/* String 3 "bitmanufaktur.de IT Solutions and hmw-consulting.de" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string3 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 51 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x0062, 0x0069, 0x0074, 0x006d, 0x0061, 0x006e,
			0x0075, 0x0066, 0x0061, 0x006b, 0x0074, 0x0075,
			0x0072, 0x002e, 0x0064, 0x0065, 0x0020, 0x0049,
			0x0054, 0x0020, 0x0053, 0x006f, 0x006c, 0x0075,
			0x0074, 0x0069, 0x006f, 0x006e, 0x0073, 0x0020,
			0x0061, 0x006e, 0x0064, 0x0020, 0x0068, 0x006d,
			0x0077, 0x002d, 0x0063, 0x006f, 0x006e, 0x0073,
			0x0075, 0x006c, 0x0074, 0x0069, 0x006e, 0x0067,
			0x002e, 0x0064, 0x0065, },
};

/* String 4 "OpenPCD RFID Reader - Runtime Mode" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string4 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 34 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x004f, 0x0070, 0x0065, 0x006e, 0x0050, 0x0043,
			0x0044, 0x0020, 0x0052, 0x0046, 0x0049, 0x0044,
			0x0020, 0x0052, 0x0065, 0x0061, 0x0064, 0x0065,
			0x0072, 0x0020, 0x002d, 0x0020, 0x0052, 0x0075,
			0x006e, 0x0074, 0x0069, 0x006d, 0x0065, 0x0020,
			0x004d, 0x006f, 0x0064, 0x0065, },
};

/* String 5 "OpenPCD Runtime Configuration" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string5 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 29 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x004f, 0x0070, 0x0065, 0x006e, 0x0050, 0x0043,
			0x0044, 0x0020, 0x0052, 0x0075, 0x006e, 0x0074,
			0x0069, 0x006d, 0x0065, 0x0020, 0x0043, 0x006f,
			0x006e, 0x0066, 0x0069, 0x0067, 0x0075, 0x0072,
			0x0061, 0x0074, 0x0069, 0x006f, 0x006e, },
};

/* String 6 "OpenPCD Runtime Interface" */
static const struct {
	struct usb_descriptor_header hdr;
	u_int16_t wData[];
} __attribute__((packed)) string6 = {
	.hdr = {
		.bLength = sizeof(struct usb_descriptor_header) + 25 * sizeof(u_int16_t),
		.bDescriptorType = USB_DT_STRING,
	},
	.wData = {	0x004f, 0x0070, 0x0065, 0x006e, 0x0050, 0x0043,
			0x0044, 0x0020, 0x0052, 0x0075, 0x006e, 0x0074,
			0x0069, 0x006d, 0x0065, 0x0020, 0x0049, 0x006e,
			0x0074, 0x0065, 0x0072, 0x0066, 0x0061, 0x0063,
			0x0065, },
};

static const struct usb_descriptor_header *usb_strings[] = {
	(struct usb_descriptor_header *) &string0,
	(struct usb_descriptor_header *) &string1,
	(struct usb_descriptor_header *) &string2,
	(struct usb_descriptor_header *) &string3,
	(struct usb_descriptor_header *) &string4,
	(struct usb_descriptor_header *) &string5,
	(struct usb_descriptor_header *) &string6,
};

#endif /* _USB_STRINGS_H */
